Package com.independentsoft.office.odf

# Enum Class DisplayListType

java.lang.Object
java.lang.Enum<DisplayListType>
com.independentsoft.office.odf.DisplayListType

All Implemented Interfaces:
  `Serializable`, `Comparable<DisplayListType>`, `Constable`

public enum DisplayListType extends Enum<DisplayListType>
Represents whether a list of values that occurs within a condition is displayed in the UI wile entering a cell value.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `NONE`
  The list values are not displayed.
  `SORT_ASCENDING`
  The list values are displayed in ascending order.
  `UNSORTED`
  The list values are displayed in the order they occur in the condition.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DisplayListType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static DisplayListType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### UNSORTED

    public static final DisplayListType UNSORTED
    The list values are displayed in the order they occur in the condition.

  - ### SORT_ASCENDING

    public static final DisplayListType SORT_ASCENDING
    The list values are displayed in ascending order.

  - ### NONE

    public static final DisplayListType NONE
    The list values are not displayed.

- ## Method Details

  - ### values

    public static DisplayListType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static DisplayListType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null